> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Us Company



## OpenAPI

````yaml /openapi.json get /us/companies/{cik}
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/companies/{cik}:
    get:
      tags:
        - US · Companies
      summary: Us Company
      operationId: us_company_us_companies__cik__get
      parameters:
        - name: cik
          in: path
          required: true
          schema:
            type: string
            title: Cik
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    CompanyResponse:
      properties:
        company:
          $ref: '#/components/schemas/Company'
      type: object
      required:
        - company
      title: CompanyResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    Company:
      properties:
        ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticker
        name:
          type: string
          title: Name
        cik:
          type: string
          title: Cik
        exchange:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange
        sic_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Sic Code
        sic_industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Sic Industry
        sector:
          anyOf:
            - type: string
            - type: 'null'
          title: Sector
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
        sec_filings_url:
          type: string
          title: Sec Filings Url
      type: object
      required:
        - name
        - cik
        - sec_filings_url
      title: Company
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````